> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Customer Details

> This endpoint fetches the details of an already existing customer

Allows you to look up details of existing customers on Tazapay's database with the customer id.


## OpenAPI

````yaml get /v3/customer/{id}
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/customer/{id}:
    get:
      summary: Fetch Customer Details
      description: This endpoint fetches the details of an already existing customer
      operationId: get-user-by-email-api
      parameters:
        - name: id
          in: path
          description: ID of an already existing customer object
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      id: cus_abc123xyz456
                      object: customer
                      created_at: '2025-10-13T14:30:00Z'
                      name: Andrew Robin
                      email: andrew.robin@example.com
                      country: US
                      phone:
                        calling_code: '1'
                        number: '2025550183'
                      billing_address:
                        - name: Andrew Robin
                          address:
                            line1: 123 Main Street
                            line2: Apt 45B
                            city: New York
                            state: NY
                            country: US
                            postal_code: '10001'
                          phone:
                            calling_code: '1'
                            number: '2125550199'
                      shipping_address:
                        - name: Andrew Robin
                          address:
                            line1: 789 Broadway Avenue
                            line2: Suite 500
                            city: New York
                            state: NY
                            country: US
                            postal_code: '10003'
                          phone:
                            calling_code: '1'
                            number: '9175550132'
                      metadata:
                        referral_code: REF2025ABC
                      reference_id: ''
                      risk_rule: none
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Indicates whether the request was successful.
                  message:
                    type: string
                    description: Describes the result or status of the operation.
                  data:
                    type: object
                    description: Contains all the details of the created customer.
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the customer.
                      object:
                        type: string
                        description: Type of object returned, typically 'customer'.
                      created_at:
                        type: string
                        description: Timestamp when the customer record was created.
                      name:
                        type: string
                        description: Full name of the customer.
                      email:
                        type: string
                        description: Email address of the customer.
                      country:
                        type: string
                        description: >-
                          Country code of the customer (ISO 3166-1 alpha-2
                          format).
                      phone:
                        $ref: '#/components/schemas/Phone'
                      billing_address:
                        type: array
                        description: >-
                          List of billing addresses associated with the
                          customer.
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Name associated with the billing address.
                            address:
                              $ref: '#/components/schemas/Address'
                            phone:
                              $ref: '#/components/schemas/Phone'
                            label:
                              type: string
                              description: >-
                                Denotes the type of address (Example - home,
                                work).
                      shipping_address:
                        type: array
                        description: >-
                          List of shipping addresses associated with the
                          customer.
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Name associated with the shipping address.
                            address:
                              $ref: '#/components/schemas/Address'
                            phone:
                              $ref: '#/components/schemas/Phone'
                            label:
                              type: string
                              description: >-
                                Denotes the type of address (Example - home,
                                work).
                      metadata:
                        $ref: '#/components/schemas/Metadata'
                  reference_id:
                    type: string
                    description: Reference id attached to a customer.
                  risk_rule:
                    type: string
      deprecated: false
components:
  schemas:
    Phone:
      type: object
      description: Phone contact details
      properties:
        calling_code:
          type: string
          description: >-
            Calling country code (for example, '1' for United States, '91' for
            India)
        number:
          type: string
          description: Phone Number
    Address:
      type: object
      description: Address details
      properties:
        line1:
          type: string
          description: Address Line 1
        line2:
          type: string
          description: Address Line 2
        city:
          type: string
          description: Address city
        state:
          type: string
          description: Address state
        country:
          type: string
          description: Address country (ISO 3166-1 alpha-2 country code)
        postal_code:
          type: string
          description: Postal Code
    Metadata:
      type: object
      description: Custom metadata key-value pairs attached to the object
      additionalProperties:
        type: string
      nullable: true
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````